Bug 484242 - Large spew of segfault/general protection/invalid opcode faults when prelink runs
Large spew of segfault/general protection/invalid opcode faults when prelink ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 11:15 EST by Tom London
Modified: 2010-06-28 07:12 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:12:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2009-02-05 11:15:04 EST
Description of problem:
After this morining's rawhide update, I see this in /var/log/messages:

Feb  5 07:51:01 tlondon NetworkManager: <info>  (wlan1): supplicant connection state:  completed -> group handshake
Feb  5 07:51:01 tlondon NetworkManager: <info>  (wlan1): supplicant connection state:  group handshake -> completed
Feb  5 08:09:42 tlondon kernel: ld-linux-x86-64[7487]: segfault at 0 ip 0000000000402b83 sp 00007fff7cb436e8 error 6 in mknod[400000+9000]
Feb  5 08:09:43 tlondon kernel: ld-linux-x86-64[7645]: segfault at 68cdfc ip 000000000068cdfc sp 00007ffffba83ec0 error 15
Feb  5 08:09:46 tlondon kernel: ld-linux-x86-64[7750]: segfault at 400000 ip 000000000042fe4b sp 00007fff083877d0 error 6 in wget[400000+38000]
Feb  5 08:09:47 tlondon kernel: ld-linux-x86-64[7789]: segfault at 615ab8 ip 0000000000615ab8 sp 00007fff2b71c258 error 15 in pdftohtml[611000+5000]
Feb  5 08:09:48 tlondon kernel: ld-linux-x86-64[7798]: segfault at 601799 ip 0000000000601799 sp 00007ffffc24fc70 error 15 in deallocvt[601000+1000]
Feb  5 08:09:49 tlondon kernel: ld-linux-x86-64[7859]: segfault at 3 ip 0000000000409bad sp 00007fff7ea2ce38 error 4 in pylupdate[400000+19000]
Feb  5 08:09:50 tlondon kernel: ld-linux-x86-64[7895]: segfault at 601760 ip 0000000000601760 sp 00007fffdf5b70f8 error 15 in imsettings-start[601000+1000]
Feb  5 08:09:56 tlondon kernel: ld-linux-x86-64[8047]: segfault at 400000 ip 0000000000402a0a sp 00007fff15af6f68 error 6 in paplay[400000+4000]
Feb  5 08:09:58 tlondon kernel: ld-linux-x86-64[8109]: segfault at 2a8 ip 000000000052f99b sp 00007fff34bbc760 error 4 in ld-2.9.90.so[52c000+20000]
Feb  5 08:10:00 tlondon kernel: ld-linux-x86-64[8166] general protection ip:401c1c sp:7fff351d0d08 error:0 in ppm2tiff[400000+2000]
Feb  5 08:10:00 tlondon kernel: ld-linux-x86-64[8169]: segfault at 609e4b ip 0000000000609e4b sp 00007fff4ebc4830 error 15 in pilot-hinotes[608000+2000]
Feb  5 08:10:02 tlondon kernel: ld-linux-x86-64[8217]: segfault at 8a1b10 ip 00000000008a1b10 sp 00007fffb5924448 error 15 in gnome-keyring-daemon[89e000+4000]
Feb  5 08:10:03 tlondon kernel: ld-linux-x86-64[8241]: segfault at 3e6ce22200 ip 00000000006e6297 sp 00007ffff222c830 error 4 in ld-2.9.90.so[6de000+20000]
Feb  5 08:10:06 tlondon kernel: ld-linux-x86-64[8354] general protection ip:1e399b sp:7fff50250df0 error:0 in ld-2.9.90.so[1e0000+20000]
Feb  5 08:10:07 tlondon kernel: ld-linux-x86-64[8388]: segfault at 6e93a0d0 ip 000000000040a430 sp 00007fff6e939da8 error 4 in qdbus[400000+d000]
Feb  5 08:10:07 tlondon kernel: ld-linux-x86-64[8394]: segfault at 97ea0a ip 000000000097ea0a sp 00007fff09d53f98 error 15
Feb  5 08:10:08 tlondon kernel: ld-linux-x86-64[8420]: segfault at 83b3a0 ip 000000000083b3a0 sp 00007fff367f5938 error 15 in gcj[83b000+2000]
Feb  5 08:10:08 tlondon kernel: ld-linux-x86-64[8426]: segfault at 61d95e ip 000000000061d95e sp 00007fff968a7450 error 15 in virsh[61c000+3000]
Feb  5 08:10:09 tlondon kernel: ld-linux-x86-64[8446]: segfault at 821000 ip 00000000001fb658 sp 00007fff1d43a868 error 6 in ld-2.9.90.so[1e3000+20000]
Feb  5 08:10:11 tlondon kernel: ld-linux-x86-64[8513]: segfault at 606c00 ip 0000000000606c00 sp 00007fff363b9f58 error 15 in aserver[606000+2000]
Feb  5 08:10:14 tlondon kernel: ld-linux-x86-64[8621] general protection ip:206280 sp:7fffc2c41240 error:0 in ld-2.9.90.so[1fe000+20000]
Feb  5 08:10:15 tlondon kernel: ld-linux-x86-64[8633]: segfault at 29 ip 000000000040d084 sp 00007fffae57e0c0 error 6 in ld-2.9.90.so[404000+1e000]
Feb  5 08:10:16 tlondon kernel: ld-linux-x86-64[8666]: segfault at 810002 ip 0000000000810002 sp 00007fff383ab9b0 error 15 in rdist[810000+1000]
Feb  5 08:10:18 tlondon kernel: ld-linux-x86-64[8751]: segfault at a2b0d0 ip 0000000000a2b0d0 sp 00007fff4d45ff98 error 15 in flac[a2b000+3000]
Feb  5 08:10:18 tlondon kernel: ld-linux-x86-64[8755]: segfault at 684000 ip 0000000000254663 sp 00007fff544aa8d8 error 6 in ld-2.9.90.so[23c000+20000]
Feb  5 08:10:18 tlondon kernel: ld-linux-x86-64[8758]: segfault at a81a0a ip 0000000000a81a0a sp 00007fff06b3ef78 error 15 in audacity[a72000+5c000]
Feb  5 08:10:19 tlondon kernel: ld-linux-x86-64[8785]: segfault at 6fc000 ip 000000000022f66b sp 00007fff8910d538 error 6 in ld-2.9.90.so[217000+20000]
Feb  5 08:10:23 tlondon kernel: ld-linux-x86-64[8901]: segfault at 6040d0 ip 00000000006040d0 sp 00007fff54115c58 error 15 in gtester[604000+1000]
Feb  5 08:10:24 tlondon kernel: ld-linux-x86-64[8928]: segfault at 60cb10 ip 000000000060cb10 sp 00007fff8a386ec8 error 15 in stat[60c000+1000]
Feb  5 08:10:25 tlondon kernel: ld-linux-x86-64[8950] trap invalid opcode ip:428a0a sp:7fff4fdd9218 error:0 in troff[400000+5c000]
Feb  5 08:10:25 tlondon kernel: ld-linux-x86-64[8956]: segfault at ffffee40e9000316 ip 00000000001f3280 sp 00007fff25dc43c0 error 4 in ld-2.9.90.so[1eb000+20000]
Feb  5 08:10:26 tlondon kernel: ld-linux-x86-64[8967]: segfault at 400000 ip 0000000000411e4b sp 00007fffe61e2650 error 6 in gnome-dictionary[400000+18000]
Feb  5 08:10:27 tlondon kernel: ld-linux-x86-64[8993] general protection ip:423e4b sp:7fff04d361a0 error:0 in scim-bridge[400000+2c000]
Feb  5 08:10:28 tlondon kernel: ld-linux-x86-64[9041] general protection ip:1ef280 sp:7fff39950f50 error:0 in ld-2.9.90.so[1e7000+20000]
Feb  5 08:10:29 tlondon kernel: ld-linux-x86-64[9058]: segfault at 63fa0a ip 000000000063fa0a sp 00007fffe8789bb8 error 15
Feb  5 08:10:29 tlondon kernel: ld-linux-x86-64[9075]: segfault at 400000 ip 0000000000405a0d sp 00007fff92c7e0e8 error 6 in logd[400000+c000]
Feb  5 08:10:30 tlondon kernel: ld-linux-x86-64[9097]: segfault at 400500 ip 0000000000400503 sp 00007fffaaf1a4b0 error 7 in iwevent[400000+3000]
Feb  5 08:10:30 tlondon kernel: ld-linux-x86-64[9109] general protection ip:1f1280 sp:7fff071fa800 error:0 in ld-2.9.90.so[1e9000+20000]
Feb  5 08:10:30 tlondon kernel: ld-linux-x86-64[9122]: segfault at 80bb10 ip 000000000080bb10 sp 00007fffeb7da318 error 15 in pppoe-server[80a000+2000]
Feb  5 08:10:30 tlondon kernel: ld-linux-x86-64[9128]: segfault at 400000 ip 0000000000414e4b sp 00007fff73cc1130 error 6 in btrfs-convert[400000+23000]
Feb  5 08:10:30 tlondon kernel: ld-linux-x86-64[9131]: segfault at 604620 ip 0000000000604620 sp 00007fffc1b0e6a8 error 15 in mkfs.cramfs[604000+1000]
Feb  5 08:10:32 tlondon kernel: ld-linux-x86-64[9242]: segfault at fffffecae93078a0 ip 000000000021d280 sp 00007fff1b6bfcc0 error 4 in ld-2.9.90.so[215000+20000]
Feb  5 08:10:34 tlondon kernel: ld-linux-x86-64[9296]: segfault at 621000 ip 000000000020065b sp 00007fff889c2de8 error 6 in ld-2.9.90.so[1e8000+20000]
Feb  5 08:10:34 tlondon kernel: ld-linux-x86-64[9304]: segfault at 65795e ip 000000000065795e sp 00007fffbc380f20 error 15 in hald[655000+3000]
Feb  5 08:10:38 tlondon kernel: ld-linux-x86-64[9496]: segfault at ead7c0 ip 0000000000550538 sp 00007fff3ee31108 error 4 in cc1plus[400000+7e5000]
Feb  5 08:10:38 tlondon kernel: ld-linux-x86-64[9498] trap invalid opcode ip:b19a0a sp:7fff5e147568 error:0 in cc1[400000+744000]
Feb  5 08:10:38 tlondon kernel: ld-linux-x86-64[9499]: segfault at d50000 ip 000000000021d673 sp 00007fffebbabfb8 error 6 in ld-2.9.90.so[205000+20000]
Feb  5 08:10:38 tlondon kernel: ld-linux-x86-64[9504]: segfault at 6020b3 ip 00000000006020b3 sp 00007fff627182a0 error 15 in gconf-im-settings-daemon[602000+2000]
Feb  5 08:10:38 tlondon kernel: ld-linux-x86-64[9511]: segfault at 604000 ip 0000000000604000 sp 00007fff0788b418 error 15 in polkit-grant-helper[603000+2000]
Feb  5 08:10:39 tlondon kernel: ld-linux-x86-64[9533]: segfault at 49 ip 0000000000403da9 sp 00007fff403a2f20 error 4 in dbus-bash-completion-helper[400000+7000]
Feb  5 08:10:40 tlondon kernel: ld-linux-x86-64[9575] trap invalid opcode ip:416a0a sp:7fff015eea48 error:0 in telepathy-salut[400000+7d000]
Feb  5 08:10:43 tlondon init: Re-executing /sbin/init



Version-Release number of selected component (if applicable):
prelink-0.4.0-3.x86_64
glibc-2.9.90-3.x86_64
glibc-2.9.90-3.i686


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joe Orton 2009-02-18 03:24:18 EST
I got the same spew on a F10 install - it's directly preceded by an SELinux alert, which I guess might be the problem.

Feb 18 04:03:12 brian setroubleshoot: SELinux is preventing ld-linux-x86-64 (pre
link_t) "mmap_zero" to <Unknown> (prelink_t). For complete SELinux messages. run
 sealert -l 33af4796-e229-4d46-8162-8ab16f621977
Feb 18 04:03:17 brian kernel: ld-linux-x86-64[4299]: segfault at 29074 ip 000000
0000402a0f sp 00007fffa5b4bff0 error 4 in gpk-log[400000+29000]
Comment 2 Sergey 2009-02-18 08:21:45 EST
I got the same spew on a F10 install without SElinux

Feb 18 14:35:15 192.168.177.76 kernel:ld-linux-x86-64[2854]: segfault at 350d000 ip 00000000003f158f sp 00007fffc7e88008 error 6 in ld-2.9.so[3d9000+20000]
Feb 18 14:35:15 192.168.177.76 kernel:ld-linux-x86-64[2853]: segfault at 28 ip 0000000000acf94f sp 00007fff283394c8 error 4 in vmware-hostd[400000+230d000]
Feb 18 14:35:15 192.168.177.76 kernel:ld-linux-x86-64[2866]: segfault at 400000 ip 00000000005a992a sp 00007fff3e8c2a58 error 6 in vmware-hostd[400000+230d000]
Feb 18 14:35:15 192.168.177.76 kernel:ld-linux-x86-64[2868]: segfault at 400000 ip 0000000000be992a sp 00007fff5eef4088 error 6 in vmware-hostd[400000+230d000]
Feb 18 14:35:15 192.168.177.76 kernel:ld-linux-x86-64[2894]: segfault at 0 ip 0000000000000000 sp 00007fff7b0fb260 error 14 in vmware-hostd[400000+230d000]
Feb 18 14:35:15 192.168.177.76 kernel:ld-linux-x86-64[2896]: segfault at 34493d8 ip 00000000006a5c48 sp 00007fff6bc61dc0 error 4 in vmware-hostd[400000+230d000]
Feb 18 14:35:15 192.168.177.76 kernel:ld-linux-x86-64[2901]: segfault at 5 ip 000000000082892a sp 00007fff6f1dc348 error 6 in vmware-hostd[400000+230d000]
Feb 18 14:35:15 192.168.177.76 kernel:ld-linux-x86-64[2900]: segfault at 0 ip 0000000000000000 sp 00007fff8beeb088 error 14 in vmware-hostd[400000+230d000]

vmware-hostd is /usr/lib/vmware/bin/vmware-hostd from VMware Server 2.0.0-122956 x86_64. Sometimes i got the same with other programms but simple sync cure it.
vmware-hostd not cured.
Comment 3 Sergey 2009-02-18 08:25:21 EST
and this

ldd /usr/lib/vmware/bin/vmware-hostd
ldd: exited with unknown exit code (139)

glibc-2.9-3.x86_64
Comment 4 Tom London 2009-02-19 12:35:40 EST
Got this again today:


Summary:

SELinux is preventing ld-linux-x86-64 (prelink_t) "mmap_zero" to <Unknown>
(prelink_t).

Detailed Description:

SELinux denied access requested by ld-linux-x86-64. The current boolean settings
do not allow this access. If you have not setup ld-linux-x86-64 to require this
access this may signal an intrusion attempt. If you do intend this access you
need to change the booleans on this system to allow the access.

Allowing Access:

Confined processes can be configured to to run requiring different access,
SELinux provides booleans to allow you to turn on/off access as needed. The
boolean allow_unconfined_mmap_low is set incorrectly.
Boolean Description:
Allow unconfined domain to map low memory in the kernel


Fix Command:

# setsebool -P allow_unconfined_mmap_low 1

Additional Information:

Source Context                system_u:system_r:prelink_t:s0-s0:c0.c1023
Target Context                system_u:system_r:prelink_t:s0-s0:c0.c1023
Target Objects                None [ memprotect ]
Source                        ld-linux-x86-64
Source Path                   /lib64/ld-2.9.90.so
Port                          <Unknown>
Host                          tlondon.innopath.com
Source RPM Packages           glibc-2.9.90-7
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.6-5.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall_boolean
Host Name                     tlondon.innopath.com
Platform                      Linux tlondon.innopath.com
                              2.6.29-0.134.rc5.git2.fc11.x86_64 #1 SMP Thu Feb
                              19 03:35:39 EST 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Thu 19 Feb 2009 09:31:12 AM PST
Last Seen                     Thu 19 Feb 2009 09:31:13 AM PST
Local ID                      bd0dfe7d-3357-4fc5-85a8-4abc376ba3de
Line Numbers                  

Raw Audit Messages            

node=tlondon.innopath.com type=AVC msg=audit(1235064673.442:70): avc:  denied  { mmap_zero } for  pid=14281 comm="ld-linux-x86-64" scontext=system_u:system_r:prelink_t:s0-s0:c0.c1023 tcontext=system_u:system_r:prelink_t:s0-s0:c0.c1023 tclass=memprotect

node=tlondon.innopath.com type=SYSCALL msg=audit(1235064673.442:70): arch=c000003e syscall=9 success=no exit=453328856 a0=0 a1=64eb78 a2=3 a3=32 items=0 ppid=12761 pid=14281 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="ld-linux-x86-64" exe="/lib64/ld-2.9.90.so" subj=system_u:system_r:prelink_t:s0-s0:c0.c1023 key=(null)


ld-linux-x86-64[12793] general protection ip:417f64 sp:7ffffc822420 error:0 in cp[400000+19000]
ld-linux-x86-64[12805]: segfault at 807ab8 ip 0000000000807ab8 sp 00007fffb9dbc948 error 15 in ping6[807000+1000]
ld-linux-x86-64[13034]: segfault at 603a42 ip 0000000000603a42 sp 00007fff9563ee20 error 15 in gvfs-ls[602000+2000]
ld-linux-x86-64[13216]: segfault at 609120 ip 0000000000609120 sp 00007fffa9084d78 error 15 in shuf[609000+2000]
ld-linux-x86-64[13218]: segfault at 63d000 ip 00000000001fe1d3 sp 00007fffda8a7d38 error 6 in ld-2.9.90.so[1e6000+20000]
ld-linux-x86-64[13243]: segfault at 606470 ip 0000000000606470 sp 00007fffb2979508 error 15 in tifficc[606000+1000]
ld-linux-x86-64[13406]: segfault at 20000000 ip 0000000020000000 sp 00007fff287f5fe8 error 14
ld-linux-x86-64[13464]: segfault at 65ef5a ip 000000000065ef5a sp 00007fff05b016f0 error 15 in pyuic[65e000+2000]
ld-linux-x86-64[13487]: segfault at 7d2000 ip 000000000022e1e3 sp 00007fffba3ce868 error 6 in ld-2.9.90.so[216000+20000]
ld-linux-x86-64[13522]: segfault at 400000 ip 000000000040003a sp 00007fff578fbdb8 error 7 in gobject-query[400000+2000]
ld-linux-x86-64[13586]: segfault at 6212e8 ip 0000000000409bc0 sp 00007fff133b2878 error 4 in glines[400000+21000]
ld-linux-x86-64[13595]: segfault at 400e85 ip 0000000000402eb0 sp 00007fff97adcf68 error 6 in setxkbmap[400000+5000]
ld-linux-x86-64[13649] general protection ip:621e10 sp:7fffb50b8720 error:0 in ld-2.9.90.so[61b000+1e000]
ld-linux-x86-64[13654]: segfault at 602fe0 ip 0000000000602fe0 sp 00007fff7a8c34a8 error 15 in bmp2tiff[602000+2000]
ld-linux-x86-64[13696]: segfault at 631b27 ip 0000000000631b27 sp 00007fff957aac50 error 15
ld-linux-x86-64[13717]: segfault at 60803a ip 000000000060803a sp 00007fff7f4318f8 error 15 in paste[608000+1000]
ld-linux-x86-64[13758]: segfault at ffffffffffffff99 ip 0000000000400ab8 sp 00007fff60904488 error 6 in showkey[400000+2000]
ld-linux-x86-64[13759]: segfault at aa503a ip 0000000000aa503a sp 00007fff32baa048 error 15
ld-linux-x86-64[13761]: segfault at 60ef5a ip 000000000060ef5a sp 00007fff65b9a780 error 15
ld-linux-x86-64[13811]: segfault at 821000 ip 00000000002711c8 sp 00007fff772c4768 error 6 in ld-2.9.90.so[259000+20000]
ld-linux-x86-64[13813] trap invalid opcode ip:45303a sp:7fffc4f39c18 error:0 in rsync[400000+5e000]
ld-linux-x86-64[13983]: segfault at 3fff8b ip 00000000004a603a sp 00007fff01cbd188 error 6 in Xorg[400000+1b7000]
ld-linux-x86-64[14014]: segfault at 400000 ip 000000000040003a sp 00007fffaa9b1f18 error 7 in update-mime-database[400000+a000]
ld-linux-x86-64[14020]: segfault at a71000 ip 00000000003211cf sp 00007ffff71ec6b8 error 6 in ld-2.9.90.so[309000+20000]
ld-linux-x86-64[14034]: segfault at 468c4580 ip 0000000000449ae8 sp 00007fffdd848cf0 error 6 in pgawk[400000+58000]
ld-linux-x86-64[14062] general protection ip:40ef76 sp:7fff35f8eb80 error:0 in cdparanoia[400000+10000]
ld-linux-x86-64[14106]: segfault at 78403a ip 000000000078403a sp 00007fff935a9a48 error 15
ld-linux-x86-64[14146]: segfault at c7903a ip 0000000000c7903a sp 00007fffbe96de08 error 15
ld-linux-x86-64[14200]: segfault at 62e03a ip 000000000062e03a sp 00007fff791c6688 error 15 in gpk-install-mime-type[62a000+7000]
ld-linux-x86-64[14217]: segfault at 7ffd87ed13b8 ip 000000000040172c sp 00007fffc0e28f88 error 4 in xsetroot[400000+3000]
ld-linux-x86-64[14274]: segfault at 401c20 ip 00000000001f804f sp 00007fffff4068d8 error 6 in ld-2.9.90.so[1e1000+20000]
ld-linux-x86-64[14281]: segfault at 0 ip (null) sp 00007ffff52938a8 error 14 in ld-2.9.90.so[22b000+20000]
ld-linux-x86-64[14294] trap invalid opcode ip:419b09 sp:7fff893effe0 error:0 in tbl[400000+1a000]
ld-linux-x86-64[14313]: segfault at 7368db5d ip 000000000043dae4 sp 00007fff77cf3ff0 error 6 in nm-connection-editor[400000+45000]
ld-linux-x86-64[14382]: segfault at 6c003a ip 00000000006c003a sp 00007fffe788cd58 error 15
ld-linux-x86-64[14393]: segfault at 6b303a ip 00000000006b303a sp 00007fff7456ea08 error 15 in w3m[68e000+ac000]
ld-linux-x86-64[14426]: segfault at 8d3e5000 ip 000000000040ef6a sp 00007fff953e4fd0 error 6 in db_dump185[400000+f000]
ld-linux-x86-64[14446]: segfault at 2b0 ip 00000000004d6f94 sp 00007fffcde70a60 error 4 in ld-2.9.90.so[4d3000+20000]
ld-linux-x86-64[14462]: segfault at 400000 ip 000000000040703c sp 00007fff10f83418 error 6 in iptables-multi[400000+13000]
ld-linux-x86-64[14522]: segfault at 60cf5a ip 000000000060cf5a sp 00007fff87d50940 error 15
ld-linux-x86-64[14523]: segfault at 400000 ip 0000000000403ae4 sp 00007fffa96db0b0 error 6 in alsactl[400000+14000]
ld-linux-x86-64[14531]: segfault at 33 ip 0000000000402ab8 sp 00007fffcec567d8 error 4 in mkfs.cramfs[400000+4000]
ld-linux-x86-64[14590] general protection ip:1fee10 sp:7fffe8782df0 error:0 in ld-2.9.90.so[1f8000+20000]
ld-linux-x86-64[14602]: segfault at 68f03a ip 000000000068f03a sp 00007fff88a36ed8 error 15 in lvm[68f000+7000]
ld-linux-x86-64[14613]: segfault at 9 ip 0000000000403f64 sp 00007fffe0160620 error 4 in readahead[400000+5000]
ld-linux-x86-64[14625] general protection ip:206e10 sp:7fff5348ef40 error:0 in ld-2.9.90.so[200000+20000]
ld-linux-x86-64[14691]: segfault at 5168002025 ip 0000000000401f5a sp 00007fff62d48930 error 6 in lgroupdel[400000+4000]
ld-linux-x86-64[14769] general protection ip:208e10 sp:7fff4ea9a0f0 error:0 in ld-2.9.90.so[202000+20000]
ld-linux-x86-64[14818]: segfault at 60c000 ip 00000000002001d7 sp 00007fff38abcf58 error 6 in ld-2.9.90.so[1e8000+20000]
ld-linux-x86-64[14882]: segfault at 16128c5a ip 000000000060cb2c sp 00007fffecb0cf80 error 4 in cc1[400000+80e000]
ld-linux-x86-64[14883] general protection ip:4de03a sp:7fffc9b9a018 error:0 in jc1[400000+7ce000]
ld-linux-x86-64[15119] general protection ip:1e4a98 sp:7fff5c72bd28 error:0 in ld-2.9.90.so[1e4000+20000]
ld-linux-x86-64[15152]: segfault at a2000 ip 0000000000471056 sp 00007fff36b14fa8 error 4 in js[400000+a2000]
ld-linux-x86-64[15280]: segfault at 605ec0 ip 0000000000605ec0 sp 00007fff40cbc828 error 15 in unit-editor[605000+1000]
ld-linux-x86-64[15297]: segfault at 603f5a ip 0000000000603f5a sp 00007fffd000cbf0 error 15 in plasma[603000+1000]
ld-linux-x86-64[15301]: segfault at 400000 ip 0000000000400ae4 sp 00007fff160e25a0 error 7 in file-svg[400000+6000]
ld-linux-x86-64[15420] general protection ip:401440 sp:7fff3a24ae08 error:0 in at-spi-registryd-wrapper[400000+2000]
ld-linux-x86-64[15434]: segfault at 600120 ip 0000000000600120 sp 00007fffc23aaf68 error 15 in uri-encode[600000+2000]
Comment 5 Tom London 2009-03-02 10:34:55 EST
Got another spew of these this morning.

I was "in the middle" of a "yum update":

Mar  2 07:29:07 tlondon yum: Updated: glib2-2.19.10-1.fc11.x86_64
Mar  2 07:29:08 tlondon yum: Updated: bluez-libs-4.32-1.fc11.x86_64
Mar  2 07:29:10 tlondon yum: Updated: libgxim-0.3.2-3.fc11.x86_64
Mar  2 07:29:24 tlondon yum: Updated: glib2-devel-2.19.10-1.fc11.x86_64
Mar  2 07:29:27 tlondon yum: Updated: xen-libs-3.3.1-7.fc11.x86_64
Mar  2 07:29:28 tlondon pulseaudio[4653]: alsa-sink.c: Increasing wakeup watermark to 70.00 ms
Mar  2 07:29:28 tlondon yum: Updated: libmp4v2-1.5.0.1-8.fc11.x86_64
Mar  2 07:29:30 tlondon yum: Updated: linuxwacom-0.8.2.2-6.fc11.x86_64
Mar  2 07:29:31 tlondon yum: Updated: bluez-cups-4.32-1.fc11.x86_64
Mar  2 07:29:31 tlondon yum: Updated: bluez-alsa-4.32-1.fc11.x86_64
Mar  2 07:29:31 tlondon dbus: Reloaded configuration
Mar  2 07:29:35 tlondon bluetoothd[3716]: Unregistered interface org.bluez.NetworkPeer on path /org/bluez/3716/hci0
Mar  2 07:29:35 tlondon bluetoothd[3716]: Unregistered interface org.bluez.NetworkHub on path /org/bluez/3716/hci0
Mar  2 07:29:35 tlondon bluetoothd[3716]: Unregistered interface org.bluez.NetworkRouter on path /org/bluez/3716/hci0
Mar  2 07:29:35 tlondon bluetoothd[3716]: bridge pan0 removed
Mar  2 07:29:35 tlondon bluetoothd[3716]: Stopping SDP server
Mar  2 07:29:35 tlondon bluetoothd[3716]: Exit
Mar  2 07:29:35 tlondon bluetoothd[6854]: Bluetooth daemon
Mar  2 07:29:35 tlondon bluetoothd[6854]: Starting SDP server
Mar  2 07:29:35 tlondon bluetoothd[6854]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Mar  2 07:29:35 tlondon bluetoothd[6854]: bridge pan0 created
Mar  2 07:29:35 tlondon bluetoothd[6854]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Mar  2 07:29:35 tlondon bluetoothd[6854]: Registered interface org.bluez.Service on path /org/bluez/6854/any
Mar  2 07:29:35 tlondon bluetoothd[6854]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Mar  2 07:29:35 tlondon bluetoothd[6854]: HCI dev 0 registered
Mar  2 07:29:35 tlondon yum: Updated: bluez-4.32-1.fc11.x86_64
Mar  2 07:29:35 tlondon bluetoothd[6854]: HCI dev 0 up
Mar  2 07:29:35 tlondon bluetoothd[6854]: Starting security manager 0
Mar  2 07:29:35 tlondon bluetoothd[6854]: Registered interface org.bluez.NetworkPeer on path /org/bluez/6854/hci0
Mar  2 07:29:35 tlondon bluetoothd[6854]: Registered interface org.bluez.NetworkHub on path /org/bluez/6854/hci0
Mar  2 07:29:35 tlondon bluetoothd[6854]: Registered interface org.bluez.NetworkRouter on path /org/bluez/6854/hci0
Mar  2 07:29:35 tlondon bluetoothd[6854]: Registered interface org.bluez.Service on path /org/bluez/6854/hci0
Mar  2 07:29:35 tlondon bluetoothd[6854]: Registered interface org.bluez.SerialProxyManager on path /org/bluez/6854/hci0
Mar  2 07:29:35 tlondon bluetoothd[6854]: Adapter /org/bluez/6854/hci0 has been enabled
Mar  2 07:29:36 tlondon yum: Updated: xsane-gimp-0.996-4.fc11.x86_64
Mar  2 07:29:37 tlondon yum: Updated: 1:xorg-x11-drv-nouveau-0.0.12-7.20090302gite6c3b98.fc11.x86_64
Mar  2 07:29:39 tlondon yum: Updated: xterm-242-3.fc11.x86_64
Mar  2 07:29:41 tlondon yum: Updated: PyQt-3.17.6-3.fc11.x86_64
Mar  2 07:29:52 tlondon yum: Updated: coreutils-7.1-6.fc11.x86_64
Mar  2 07:29:53 tlondon yum: Updated: xorg-x11-drv-evdev-2.1.99.1-1.fc11.x86_64
Mar  2 07:29:54 tlondon yum: Updated: pyparted-2.0.4-1.fc11.x86_64
Mar  2 07:29:57 tlondon yum: Updated: gnome-doc-utils-stylesheets-0.15.2-1.fc11.noarch
Mar  2 07:29:58 tlondon pulseaudio[4653]: alsa-sink.c: Increasing wakeup watermark to 80.00 ms
Mar  2 07:30:15 tlondon kernel: ld-linux-x86-64[6922] general protection ip:40803a sp:7fff0f2c4798 error:0 in sed[400000+d000]
Mar  2 07:30:16 tlondon kernel: ld-linux-x86-64[6969] general protection ip:1e3f94 sp:7fff10d5f950 error:0 in ld-2.9.90.so[1e0000+20000]
Mar  2 07:30:16 tlondon kernel: ld-linux-x86-64[7007]: segfault at 400098 ip 000000000040009a sp 00007fff9a625aa8 error 7 in mailx[400000+5b000]
Mar  2 07:30:18 tlondon kernel: ld-linux-x86-64[7131]: segfault at 60f690 ip 000000000060f690 sp 00007fff42b95c88 error 15 in pilot-xfer[60f000+1000]
Mar  2 07:30:23 tlondon kernel: ld-linux-x86-64[7225] general protection ip:1e8e30 sp:7ffffe3e2a40 error:0 in ld-2.9.90.so[1e2000+20000]
Mar  2 07:30:25 tlondon kernel: ld-linux-x86-64[7298]: segfault at 2b0 ip 0000000000556f94 sp 00007fff1da3a620 error 4 in ld-2.9.90.so[553000+20000]
Mar  2 07:30:30 tlondon kernel: ld-linux-x86-64[7391]: segfault at 6b25d0 ip 00000000006b25d0 sp 00007fff7d76ea78 error 15 in gpg2[6af000+4000]
Mar  2 07:30:35 tlondon yum: Updated: yelp-2.25.1-1.fc11.x86_64
Mar  2 07:30:35 tlondon dbus: Reloaded configuration
Mar  2 07:30:39 tlondon yum: Updated: system-config-samba-1.2.71-1.fc11.noarch
Mar  2 07:30:40 tlondon yum: Updated: python-iniparse-0.3.0-2.fc11.noarch
Mar  2 07:30:40 tlondon kernel: ld-linux-x86-64[7537]: segfault at 400000 ip 000000000040303a sp 00007fffd43d8888 error 6 in gnome-volume-control-applet[400000+14000]
Mar  2 07:30:40 tlondon yum: Updated: 1:autocorr-en-3.1.0-3.2.fc11.x86_64
Mar  2 07:30:42 tlondon kernel: ld-linux-x86-64[7565]: segfault at 4103c7 ip 0000000000401443 sp 00007fffaa597178 error 7 in mathmlps[400000+7000]
Mar  2 07:30:42 tlondon yum: Updated: yum-utils-1.1.20-3.fc11.noarch
Mar  2 07:30:44 tlondon kernel: ld-linux-x86-64[7601]: segfault at 7ffff3607ef8 ip 000000000048003b sp 00007ffff7a3aef8 error 6 in transmission[400000+8d000]
Mar  2 07:30:45 tlondon kernel: ld-linux-x86-64[7622]: segfault at 71003a ip 000000000071003a sp 00007fff572eb7b8 error 15
Mar  2 07:30:46 tlondon pulseaudio[4653]: alsa-sink.c: Increasing minimal latency to 8.00 ms
Mar  2 07:30:46 tlondon kernel: ld-linux-x86-64[7626]: segfault at 1 ip 0000000000400443 sp 00007fff3b4651a8 error 6 in wvSummary[400000+3000]
Mar  2 07:30:48 tlondon kernel: ld-linux-x86-64[7665]: segfault at 406280 ip 0000000000414b0a sp 00007fff1e0b0c98 error 6 in gtk-window-decorator[400000+15000]
Mar  2 07:30:48 tlondon yum: Updated: urw-fonts-2.4-7.fc11.noarch
Mar  2 07:30:48 tlondon dbus: Reloaded configuration
Mar  2 07:30:51 tlondon yum: Updated: system-config-services-0.99.32-1.fc11.noarch
Mar  2 07:30:51 tlondon yum: Installed: yum-plugin-fastestmirror-1.1.20-3.fc11.noarch
Mar  2 07:31:07 tlondon kernel: ld-linux-x86-64[7864] trap invalid opcode ip:4025d8 sp:7fff3d7dd0e8 error:0 in bmp2tiff[400000+3000]
Mar  2 07:31:13 tlondon kernel: ld-linux-x86-64[7909] general protection ip:1e9e10 sp:7fff5d94cfb0 error:0 in ld-2.9.90.so[1e3000+20000]
Mar  2 07:31:13 tlondon kernel: ld-linux-x86-64[7913]: segfault at 54168002b9d ip 000000000042b03a sp 00007fffacc0f0d8 error 6 in pidgin[400000+e2000]
Mar  2 07:31:16 tlondon kernel: ld-linux-x86-64[7937]: segfault at 63c4b0 ip 0000000000403a38 sp 00007fff6b14c610 error 4 in mcopidl[400000+3c000]
Mar  2 07:31:20 tlondon kernel: ld-linux-x86-64[7986]: segfault at 605fe0 ip 0000000000605fe0 sp 00007fffb768d278 error 15 in db45_load[605000+1000]
Mar  2 07:31:20 tlondon kernel: ld-linux-x86-64[7991]: segfault at 602328 ip 0000000000400af9 sp 00007ffff63e3898 error 4 in db46_stat[400000+3000]
Mar  2 07:31:22 tlondon kernel: ld-linux-x86-64[8023]: segfault at 82e000 ip 00000000003951cf sp 00007fff43497958 error 6 in ld-2.9.90.so[37d000+20000]
Mar  2 07:31:24 tlondon yum: Erased: yum-fastestmirror
Mar  2 07:31:32 tlondon kernel: ld-linux-x86-64[8242] general protection ip:4005d2 sp:7fff7f23fe28 error:0 in ipcs[400000+5000]
Mar  2 07:31:32 tlondon kernel: ld-linux-x86-64[8258]: segfault at 17a ip 000000000047c03a sp 00007fff2bf323f8 error 4 in gimp-2.6[400000+45a000]
Mar  2 07:31:33 tlondon kernel: ld-linux-x86-64[8294]: segfault at 601eb0 ip 0000000000601eb0 sp 00007fff6563ac88 error 15 in getkeycodes[601000+1000]
Mar  2 07:31:33 tlondon kernel: ld-linux-x86-64[8295]: segfault at 400000 ip 000000000041903a sp 00007fffde4288f8 error 6 in expr[400000+1a000]
Mar  2 07:31:34 tlondon kernel: ld-linux-x86-64[8339]: segfault at 0 ip (null) sp 00007fff1e370f40 error 14 in ld-2.9.90.so[3f2000+e000]
Mar  2 07:31:34 tlondon kernel: ld-linux-x86-64[8341]: segfault at 402d40 ip 00000000001e6f72 sp 00007fff6de2ea20 error 7 in ld-2.9.90.so[1e3000+20000]
Mar  2 07:31:35 tlondon kernel: ld-linux-x86-64[8383] general protection ip:1e3f94 sp:7fff184f5fa0 error:0 in ld-2.9.90.so[1e0000+20000]
Mar  2 07:31:36 tlondon kernel: ld-linux-x86-64[8388]: segfault at c5503a ip 0000000000c5503a sp 00007fff22545a08 error 15
Mar  2 07:31:37 tlondon gnome-session[4409]: WARNING: Unable to find watch for alarm 12582917
Mar  2 07:31:37 tlondon gnome-session[4409]: WARNING: Unable to find watch for alarm 12582918
Mar  2 07:31:41 tlondon kernel: ld-linux-x86-64[8582]: segfault at 638000 ip 000000000020c1e3 sp 00007fff0c099568 error 6 in ld-2.9.90.so[1f4000+20000]
Mar  2 07:31:43 tlondon kernel: ld-linux-x86-64[8634]: segfault at 0 ip 0000000000401470 sp 00007fff4a8133f8 error 4 in mini-wm[400000+2000]
Mar  2 07:31:45 tlondon kernel: ld-linux-x86-64[8673]: segfault at 3fff89 ip 000000000044f03a sp 00007fffb863fb08 error 6 in assistant-qt4[400000+d1000]
Mar  2 07:31:45 tlondon kernel: ld-linux-x86-64[8682] general protection ip:215e10 sp:7fff914d5b30 error:0 in ld-2.9.90.so[20f000+20000]
Mar  2 07:31:45 tlondon kernel: ld-linux-x86-64[8690]: segfault at 600da0 ip 0000000000600da0 sp 00007fff149e95d8 error 15 in jv-convert[600000+1000]
Mar  2 07:31:46 tlondon kernel: ld-linux-x86-64[8707]: segfault at 6b0060 ip 0000000000419b1c sp 00007fff2dec3390 error 4 in gnuchess[400000+29000]
Mar  2 07:31:47 tlondon kernel: ld-linux-x86-64[8782]: segfault at 90d03a ip 000000000090d03a sp 00007ffffa5d4a98 error 15
Mar  2 07:31:47 tlondon kernel: ld-linux-x86-64[8783] trap invalid opcode ip:4025d0 sp:7fffbd47e068 error:0 in iwpriv[400000+3000]
Mar  2 07:31:47 tlondon kernel: ld-linux-x86-64[8789]: segfault at 3f3000 ip 00000000004025d0 sp 00007fffdda2f618 error 7 in pppoe-sniff[400000+4000]
Mar  2 07:31:48 tlondon kernel: ld-linux-x86-64[8840] general protection ip:1e8e10 sp:7fffeecdf340 error:0 in ld-2.9.90.so[1e2000+20000]
Mar  2 07:31:51 tlondon kernel: ld-linux-x86-64[8950]: segfault at 602ab0 ip 0000000000602ab0 sp 00007fffc392de48 error 15 in testsaslauthd[602000+1000]
Mar  2 07:31:51 tlondon kernel: ld-linux-x86-64[8953]: segfault at 2b0 ip 0000000000562f94 sp 00007fff81770360 error 4 in ld-2.9.90.so[55f000+20000]
Mar  2 07:31:55 tlondon kernel: ld-linux-x86-64[9088]: segfault at 13 ip 00000000003e8e30 sp 00007fff9eb22180 error 4 in ld-2.9.90.so[3e2000+1e000]
Mar  2 07:31:55 tlondon kernel: ld-linux-x86-64[9094] general protection ip:1e8e10 sp:7fff0c7289d0 error:0 in ld-2.9.90.so[1e2000+20000]
Mar  2 07:31:56 tlondon kernel: ld-linux-x86-64[9127]: segfault at 7ff754f6f1f8 ip 000000000095003c sp 00007fffd7e7f328 error 6 in cc1plus[400000+90a000]
Mar  2 07:31:56 tlondon kernel: ld-linux-x86-64[9129]: segfault at e7703a ip 0000000000e7703a sp 00007fff709f2e98 error 15 in cc1[e10000+8a000]
Mar  2 07:31:57 tlondon kernel: ld-linux-x86-64[9130]: segfault at e59000 ip 00000000003321d7 sp 00007fffd6bb7068 error 6 in ld-2.9.90.so[31a000+20000]
Mar  2 07:31:59 tlondon kernel: ld-linux-x86-64[9207]: segfault at 601fe0 ip 0000000000601fe0 sp 00007fff1b70e2e8 error 15 in ck-get-x11-server-pid[601000+1000]
Mar  2 07:32:00 tlondon kernel: ld-linux-x86-64[9256] general protection ip:413ae4 sp:7fff93a29ef0 error:0 in gdm-factory-slave[400000+1e000]
Mar  2 07:32:01 tlondon kernel: ld-linux-x86-64[9270]: segfault at 60334e ip 000000000060334e sp 00007fffd31e5ef0 error 15 in metacity-dialog[603000+1000]
Mar  2 07:32:05 tlondon kernel: ld-linux-x86-64[9320] general protection ip:42903a sp:7fffde1433c8 error:0 in loader[400000+31000]
Comment 6 Tom Horsley 2009-03-05 19:45:11 EST
I get a slew of these in my logwatch mail on the new Core 2 Duo Fedora 10
x86_64 system I just installed at work, but I do not get them on my older
(yet also fully updated) x86_63 athlon dual core system at home. I have
selinux disabled on both systems, so I don't think it is selinux. Here's
a sample from one day's logwatch:

    ld-linux-x86-64[26442] trap invalid opcode ip:4e892b sp:7fffaf6b5b48 error:0 in uic-qt4[400 ...:  1 Time(s)
    ld-linux-x86-64[26618] trap invalid opcode ip:60d92a sp:7fff2a462608 error:0 in kakasi[6080 ...:  1 Time(s)
    ld-linux-x86-64[26622] trap invalid opcode ip:42392a sp:7fff145f5a98 error:0 in kfind[40000 ...:  1 Time(s)
    ld-linux-x86-64[27125] trap invalid opcode ip:61e000 sp:7fffb6daa980 error:0 in ld-2.9.so[6 ...:  1 Time(s)
    ld-linux-x86-64[27162] trap invalid opcode ip:40b92a sp:7fff7cc140a8 error:0 in kiriki[4000 ...:  1 Time(s)
    ld-linux-x86-64[27225] trap invalid opcode ip:6d092a sp:7fff673e7878 error:0 in gimp-2.6[40 ...:  1 Time(s)
    ld-linux-x86-64[27501] trap invalid opcode ip:4013b4 sp:7fffce6261f8 error:0 in oclock[4000 ...:  1 Time(s)
    ld-linux-x86-64[27530] trap invalid opcode ip:48d92f sp:7fff8a82acc8 error:0 in pidgin[4000 ...:  1 Time(s)
    ld-linux-x86-64[27592] trap invalid opcode ip:8b9931 sp:7fffbe54d9f0 error:0 in php[8a5000+ ...:  1 Time(s)
    ld-linux-x86-64[27741] trap invalid opcode ip:41892e sp:7fff2fd8c228 error:0 in tex[400000+ ...:  1 Time(s)
    ld-linux-x86-64[28047] trap invalid opcode ip:407dbe sp:7fff10b73010 error:0 in mousetweaks ...:  1 Time(s)
    ld-linux-x86-64[28067] trap invalid opcode ip:40192a sp:7fff46e342c8 error:0 in pnmhistmap[ ...:  1 Time(s)
    ld-linux-x86-64[28315] trap invalid opcode ip:44a95e sp:7fff591cbda0 error:0 in ksokoban[40 ...:  1 Time(s)
    ld-linux-x86-64[28723] trap invalid opcode ip:e6c92a sp:7fff5b4548e8 error:0 in emacs-22.3[ ...:  1 Time(s)
    ld-linux-x86-64[30031] trap invalid opcode ip:4fa92a sp:7fffac740798 error:0 in qmake[40000 ...:  1 Time(s)

Despite all these traps, I've never noticed anything actually go wrong
with any program I was running.
Comment 7 Bug Zapper 2009-06-09 07:05:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-04-27 08:52:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 07:12:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.